# E-mailed the author on the exit calls in
# lib/rasterlite_png.c and lib/rasterlite_jpeg.c

Name:      librasterlite
Version:   1.1g
Release:   2%{?dist}
Summary:   Support Raster Data Sources within a SpatiaLite DB
Group:     System Environment/Libraries
License:   MPLv1.1 or GPLv2+ or LGPLv2+
URL:       https://www.gaia-gis.it/fossil/librasterlite
Source0:   http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz

# Some build targets rely on a static library to exist
# Reported to the author via e-mail
Patch0:    %{name}-1.1c-dyn.patch

BuildRequires: geos-devel
BuildRequires: libgeotiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libspatialite-devel
BuildRequires: libtiff-devel
BuildRequires: proj-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel


%description
Library that stores and retrieves huge raster coverages using a
SpatiaLite DBMS. The package also contains CLI management tools.

%package devel
Summary: Development Libraries for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .dyn~

# Remove unused Makefiles
rm -f Makefile-static*


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# Delete undesired libtool archives
rm -f %{buildroot}/%{_libdir}/%{name}.la


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS ChangeLog
%{_bindir}/rasterlite_*
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/rasterlite.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rasterlite.pc

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1g-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Volker Fröhlich <volker27@gmx.at> 1.1g-1
- New upstream release using Autoconf 2.69, thus ready for aarch64

* Sat Apr  6 2013 Volker Fröhlich <volker27@gmx.at> 1.1f-1
- New upstream release
- Drop rastergen test patch

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.1c-4
- rebuild due to "jpeg8-ABI" feature drop

* Sun Dec  2 2012 Bruno Wolff III <bruno@wolff.to> 1.1c-3
- Rebuild for libspatialite soname bump

* Sun Aug 12 2012 Volker Fröhlich <volker27@gmx.at> 1.1c-2
- Enable tests, remove rastergen test, considered broken by developer

* Sun Aug 12 2012 Volker Fröhlich <volker27@gmx.at> 1.1c-1
- Initial packaging for Fedora
